Nameing of the new openerp-client-package

Bug #708129 reported by Anders Wallenquist on 2011-01-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Odoo GTK Client (MOVED TO GITHUB)
Confirmed
Wishlist
Stephane Wirtel (OpenERP)

Bug Description

The 6-series of openerp-client (.deb) package have the same name as the 5-series, witch means thats hard to have both clients for a current 5 openerp-server and a new 6 - series server at the same time.

If the new series where names openerp-client6 with the series number in the name i whould be possible to have both series (5 and 6) installed at the same time.

I believe this is a common situation for many users for a while now. It takes time to make the move to the new series.

DBR (OpenERP) (dbr-openerp) wrote :

Hello Anders,

Would you please explain me,from where and which version downloaded for both 5 and 6 series?

Thanks.

Changed in openobject-client:
status: New → Incomplete

On Thursday 27 January 2011, you wrote:
> Hello Anders,
>
> Would you please explain me,from where and which version downloaded for
> both 5 and 6 series?
>

The version that works well with both 6 and 5 series is my branch:
http://git.hellug.gr/?p=xrg/openobject-client;a=shortlog;h=refs/heads/trunk-
xrg

I could even package it for Debian, if you wish to give it a try.

Anders Wallenquist (aw) wrote :

Devishree: I use official Ubuntu Universe repositories, PPAs and the new single packages published at the download page of openerp.com.

If I install the package from openerp.com download page on an Ubuntu client machine that already have openerp-client_5-XXX installed it will be replaced by the package openerp-client_6-xxx. But if we reflect the new version 6 (client/server/web) in the nameing eg openerp-client6_6-xxx instead of openerp-client_6-xxx it will be possible to install both openerp-client and openerp-client6 at the same time.

We can use the nameing of Drupal-packages as a parallell: Drupal5 and Drupal6 (and soon Drupal7) are separate series of Drupal versions that can live alongside in the repositories and can be installed on the same server. This is important in many cases for the migration work, that in some cases can take years. The whole world can't migrate from Drupal5 to Drupal6 at the same time nor from Drupal6 to Drupal7. I believe its the same for OpenERP-users. There will be a lot of OpenERP5 installations along side OpenERP6 and in the future OpenERP7. With a little different nameing policy the life for many system administrators will be much easier.

Xrg: Is this one client that can handle both version 5 and version 6 servers? Yes I think it would be nice with a official PPA for both openerp5 and openerp6 packages!

DBR (OpenERP) (dbr-openerp) wrote :

Hello Anders,

Thanks for reporting.

Changed in openobject-client:
assignee: nobody → Stephane Wirtel (OpenERP) (stephane-openerp)
importance: Undecided → Wishlist
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers